com.microfocus.awm.meta.modelextension

## Class FunctionPackageParameter

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute
    - - com.microfocus.awm.meta.modelextension.StringModelExtensionAttribute
      - - com.microfocus.awm.meta.modelextension.FunctionPackageParameter

-     public class FunctionPackageParameter
      extends StringModelExtensionAttribute

  Represents a function package parameter defined by a model extension point extension.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionPackageParameter(java.lang.String pID, EModelExtensionAttributeType pType, java.lang.String pLabel, java.lang.String pDefaultValue, boolean pMandatory, java.util.List<java.lang.String> pRestrictions, java.lang.String pCategory, java.lang.String pDescription, FunctionPackageExtension pFunctionPackage)` Basic constructor.
    `FunctionPackageParameter(java.lang.String pID, EModelExtensionAttributeType pType, java.lang.String pLabel, java.lang.String pDefaultValue, boolean pMandatory, java.util.List<java.lang.String> pRestrictions, java.lang.String pCategory, java.lang.String pDescription, ICustomRestriction<?> pCustomRestriction, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.StringModelExtensionAttribute

      `getCustomRestriction, getDefaultValue, getRestrictions, getType`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute

      `getCategory, getDescription, isMandatory, isMultiLine, setMultiLine`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionPackageParameter

          public FunctionPackageParameter(java.lang.String pID,
                                          EModelExtensionAttributeType pType,
                                          java.lang.String pLabel,
                                          java.lang.String pDefaultValue,
                                          boolean pMandatory,
                                          java.util.List<java.lang.String> pRestrictions,
                                          java.lang.String pCategory,
                                          java.lang.String pDescription,
                                          FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pID` - the attribute ID
        `pType` - the attribute type
        `pLabel` - the label
        `pDefaultValue` - the default parameter value
        `pMandatory` - whether the attribute is mandatory
        `pRestrictions` - the restrictions (can be `null` if there are none)
        `pCategory` - the category
        `pDescription` - the attribute description
        `pFunctionPackage` - the function package

    - #### FunctionPackageParameter

          public FunctionPackageParameter(java.lang.String pID,
                                          EModelExtensionAttributeType pType,
                                          java.lang.String pLabel,
                                          java.lang.String pDefaultValue,
                                          boolean pMandatory,
                                          java.util.List<java.lang.String> pRestrictions,
                                          java.lang.String pCategory,
                                          java.lang.String pDescription,
                                          ICustomRestriction<?> pCustomRestriction,
                                          FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pID` - the attribute ID
        `pType` - the attribute type
        `pLabel` - the label
        `pDefaultValue` - the default parameter value
        `pMandatory` - whether the attribute is mandatory
        `pRestrictions` - the restrictions (can be `null` if there are none)
        `pCategory` - the category
        `pDescription` - the attribute description
        `pCustomRestriction` - the custom restriction attribute. See `ICustomRestriction`. Can be `null`, if no custom restriction was defined.
        `pFunctionPackage` - the function package

Copyright © 2015 Micro Focus GmbH. All rights reserved.